# the-codex

A zine about Linux, typeset in LaTeX. 

The avatar image is by [Larry Ewing](http://www.isc.tamu.edu/~lewing/)
and [Simon Budig](http://www.home.unix-ag.org/simon/). Licensing info is [here](https://en.wikipedia.org/wiki/File:Tux.svg).

The pdf version is free. You can find it inside the `build` folder for each issue. I will also issue a release, so you can check there, as well.

If you want to buy a paper version with a fancy colored cover, printed up as a little booklet and saddle stapled (just perfect for reading on the go), you can buy them from my etsy shop. I'll include a link here as I add each issue.

## Forum

If you have questions or suggestions, you can join the [forum for this zine](https://forums.kjodle.net/forumdisplay.php?fid=15) on my website. I am trying to avoid social media as much as possible, and also hate communicating through apps like Etsy, Gumroad, or Patreon (for reasons I may talk about at some point). If you want to contribute or collaborate, the forum would be a good place to start.

## Paper Copies

**Issue 004**

Issue #4 is available on etsy at [https://www.etsy.com/listing/1747850159/the-codex-a-zine-about-linux-issue-4](https://www.etsy.com/listing/1747850159/the-codex-a-zine-about-linux-issue-4). 

**Issue 003**

You can buy this on etsy at [https://www.etsy.com/listing/1507867746/the-codex-a-zine-about-linux-issue-3](https://www.etsy.com/listing/1507867746/the-codex-a-zine-about-linux-issue-3). I don't have metric versions available for download as of yet (12 July 2023) but I am working on it. 

**Issue 002**

You can buy a paper copy of issue [#002](https://www.etsy.com/listing/1262188799/the-codex-a-zine-about-linux-issue-2) in my Etsy shop. Unfortunately, I can only ship to North America at the present time.

If you are outside of North America and would like to purchase a digital download which you can then print out in booklet form and staple yourself, you can buy it [here](https://www.etsy.com/listing/1252039564/the-codex-2-metric-download).

If you have issues with Etsy (and who doesn't?), you can also buy them from **Gumroad**:

* [Physical copy (North America only)](https://iswpw.gumroad.com/l/codex002)
* [Digital A4 copy (everywhere)](https://iswpw.gumroad.com/l/codex002-A4)

**Issue 001**

You can buy issue [#001](https://git.kjodle.net/kjodle/the-codex/src/tag/Issue-001) on my etsy shop [here](https://www.etsy.com/listing/1099735271/the-codex-a-zine-about-linux). Use the coupon **GIT20** to get 20% off all zines.

## Packages

I used a handful of packages to make this document, which I've listed below, along to their page on CTAN where you can read the full documentation.

* [graphicx](https://www.ctan.org/pkg/graphicx) &mdash; Provides extended support for images.
* [kpfonts](https://www.ctan.org/pkg/kpfonts) &mdash; A different font than the AMS fonts, which is a little heavier and easier to read for some.
* [makeidx](https://www.ctan.org/pkg/makeidx) &mdash; Creates indexes (or, indices, if you prefer). I didn't actually use this one. Maybe next time.
* [geometry](https://www.ctan.org/pkg/geometry) &mdash; Flexible and complete interfact to document dimensions.
* [fancyhdr](https://www.ctan.org/pkg/fancyhdr) &mdash; Gives you more control over page headers and footers.
* [multicol](https://www.ctan.org/pkg/multicol) &mdash; Provides for more than two or more columns in selected areas.
* [wrapfig](https://www.ctan.org/pkg/wrapfig) &mdash; Allows you to wrap text around figures.
* [hyperref](https://www.ctan.org/pkg/hyperref) &mdash; Support for hypertext (i.e., links). (Protip: use the *hidelinks* option to get rid of the annoying red boxes around links in the pdf form. Thanks to reddit user 0b0101011001001011 for this tip!)
* [tabto](https://www.ctan.org/pkg/tabto-ltx) &mdash; Allows you to set tab stops. (I used this one to get multiple paragraphs in a footnote. Still scratching my head about that one.)
* [ulem](https://www.ctan.org/pkg/ulem) &mdash; A package for making lines through text. In my case, I just wanted a simple strikethrough.

Also reddit user -LeopardShark- recommended using the package [microtype](https://www.ctan.org/pkg/microtype) to get finer typographical control. ~~Maybe in the next issue.~~ I'm actually using this in issue 002 and you can tell the difference by comparing page 2 in both issues and looking at the placement of the Creative Commons icon.

### New in issue 3:

* [fancyvrb](https://ctan.org/pkg/fancyvrb) &mdash; Extending the ``verbatim`` environment.
* [fvextra](https://ctan.org/pkg/fvextra) &mdash; Extending the ``fancyvrb`` package.
* [enumitem](https://ctan.org/pkg/enumitem) &mdash; Extra control over the basic list environments.


*****

If you like this, but don't want to buy, you can always [donate](https://www.paypal.me/kjodle) via PayPal. (No PayPal account is necessary.) It's greatly appreciated.
